/*****************************************************************************
 *          Copyright: (C) Copyright David Goodwin, 2014
 *            License: GNU General Public License
 *****************************************************************************
 *
 *   This is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This software is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this software; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 ****************************************************************************/

#ifndef CONSTANTS_H
#define CONSTANTS_H

#include "defs.h"

#include <QString>

namespace Constants {
    const QString VERSION = APP_VERSION_STR;
    const QString COPYRIGHT = APP_COPYRIGHT_STR;

    const QString DB_VERSION_CHECK_PARAMS = "2,0,0";

    // Range of the main window chart in seconds
    const double CHART_RANGE = 120;

    // Range of the main window chart (when averaged) in seconds
    const double AVERAGED_CHART_RANGE = 7200;

    // Padding for the main window chart.
    const double VALUE_AXIS_PADDING = 1.0;
    const double RIGHT_PADDING = 1.0;
    const double AVERAGED_RIGHT_PADDING = 100.0;
}

#endif // CONSTANTS_H
