/*****************************************************************************
 *          Copyright: (C) Copyright David Goodwin, 2014
 *            License: GNU General Public License
 *****************************************************************************
 *
 *   This is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This software is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this software; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 ****************************************************************************/

#ifndef EXPORTDIALOG_H
#define EXPORTDIALOG_H

#include <QDialog>
#include <QDateTime>

#include "sampleset.h"
#include "samplecolumns.h"

namespace Ui {
class ExportDialog;
}

class ExportDialog : public QDialog
{
    Q_OBJECT
    
public:
    explicit ExportDialog(QWidget *parent = 0);
    ~ExportDialog();

    static void performExport(SampleSet samples,
                              QWidget *parent,
                              SampleColumns columns,
                              QString targetFileName,
                              QString delimiter, bool includeHeader);

    QString getDelimiter();
    QDateTime getStartTime();
    QDateTime getEndTime();
    SampleColumns getColumns();
    QString getTargetFilename() { return targetFilename; }
    bool includeHeader();

private slots:
    void exportData();
    void dateChanged();
    void delimiterTypeChanged();

    
private:
    Ui::ExportDialog *ui;

    QString targetFilename;

    static QString getHeaderRow(SampleColumns columns, QString delimiter);
};

#endif // EXPORTDIALOG_H
