/*****************************************************************************
 *          Copyright: (C) Copyright David Goodwin, 2014
 *            License: GNU General Public License
 *****************************************************************************
 *
 *   This is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This software is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this software; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 ****************************************************************************/

#include "mainwindow.h"
#include <QApplication>
#include <QTranslator>
#include <QLibraryInfo>
#include <QLocale>

int main(int argc, char *argv[])
{  
    QApplication a(argc, argv);

    // This information is used for storing configuration data.
    QCoreApplication::setOrganizationName("zxnet");
    QCoreApplication::setOrganizationDomain("zx.net.nz");
    QCoreApplication::setApplicationName("TempView");

    // Setup translation
    QTranslator qtTranslator;
    qtTranslator.load("qt_" + QLocale::system().name(),
            QLibraryInfo::location(QLibraryInfo::TranslationsPath));
    a.installTranslator(&qtTranslator);

    QTranslator translator;
    translator.load("tempview_" + QLocale::system().name());
    a.installTranslator(&translator);

    // If we don't set this then minimising the Main Window to the system tray
    // before closing another window (chart, export dialog, etc) results in
    // the application exiting.
    a.setQuitOnLastWindowClosed(false);

    // Setup and display the main window
    MainWindow w;
    w.show();

    // Start the event loop.
    return a.exec();
}
