/*****************************************************************************
 *          Copyright: (C) Copyright David Goodwin, 2014
 *            License: GNU General Public License
 *****************************************************************************
 *
 *   This is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This software is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this software; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 ****************************************************************************/

#ifndef SQLITEDATALOGGER_H
#define SQLITEDATALOGGER_H

#include "abstractdatalogger.h"


class SQLiteDataLogger : public AbstractDataLogger
{
    Q_OBJECT
public:
    explicit SQLiteDataLogger(QObject *parent = 0);
    ~SQLiteDataLogger();

    virtual bool connectLogger();

    virtual void disconnectLogger();

    virtual SampleSet fetchSamples(SampleColumns columns, QDateTime start,
                                   QDateTime end);

protected:
    virtual void insertSample(qint64 timestamp, float temperature,
                              float humidity, float dewPoint);


private:
    void createDatabaseStructure();
    void upgradeDatabaseStructure();

    int getDatabaseVersion();

    bool runDatabaseScript(QString scriptFileName, QString errorTemplate);


    bool isConnected;
};

#endif // SQLITEDATALOGGER_H
